# Dynamic Floor Pricing

{% hint style="warning" %}
This feature requires explicit enablement by DT.\
Please contact your DT Commercial Representative before using this feature. If the feature is used without proper enablement, it may not work as expected.
{% endhint %}

Setting a dynamic floor price allows you to establish a custom price for your ad requests. To configure a floor price, call `setFloorPrice` with a double value representing the custom floor price in USD, as described in the following example:

{% code title="Java" %}

```java
InneractiveAdRequest adRequest = new InneractiveAdRequest("add_your_spot_id"); 
adRequest.setFloorPrice(3.14);
```

{% endcode %}

{% hint style="info" %}
Submit the `setFloorPrice` value in CPM (cost per 1000 impressions), not per single impression.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalturbine.com/dt-exchange/publishers/sdk-configuration/integrating-the-android-sdk/dynamic-floor-pricing-developer-preview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
